local require = GLOBAL.require
GLOBAL.require("map/tasks")
GLOBAL.require("constants")
GLOBAL.require("map/level")
local LEVELTYPE = GLOBAL.LEVELTYPE
require "map/tasks/venusland"
--require "map/levels/venus_level"
local Layouts = GLOBAL.require("map/layouts").Layouts
local StaticLayout = GLOBAL.require("map/static_layout")

Layouts["swoasislake"] = StaticLayout.Get("map/static_layouts/swoasislake")
Layouts["rogoasislake"] = StaticLayout.Get("map/static_layouts/rogoasislake") 
	AddRoom("rogoasislake", {
		colour={r=0.3,g=0.2,b=0.1,a=0.3},
		value = GLOBAL.GROUND.GRASS, 
		contents =  {
			countstaticlayouts= 
			{
				rogoasislake = 1,
			}
		}
	})
	AddRoom("swoasislake", 
	{
		colour={r=0.5,g=0.1,b=0.2,a=0.8},
		value = GLOBAL.GROUND.BEACH, 
		contents =  
		{
			countstaticlayouts= 
			{
				swoasislake = 1,
			},
			distributepercent = .5,
			distributeprefabs=
			{
			--	seashell_beached=0.2,
			--	palmtree=1,
			--	sandhill=0.1, --沙堆
			--	crabhole=1,
			--	limpetrock=0.2,
			--	crate=0.1,
			}
		}   --c_countprefabs("venus_oasislake")
	})
--local task = GLOBAL.tasks.GetTaskByName("Speak to the king", GLOBAL.tasks.sampletasks)
--task.room_choices["Oasislake"] = 1  
local taskaa = GLOBAL.tasks.GetTaskByName("Speak to the king", GLOBAL.tasks.sampletasks)
taskaa.room_choices["rogoasislake"] = 1

if  GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC) then
local taskbb = GLOBAL.tasks.GetTaskByName("IslandParadise", GLOBAL.tasks.sampletasks)  
taskbb.room_choices["swoasislake"] = 1
end

--IslandCasino 摇奖机的地形
--DoydoyIslandGirl  DoydoyIslandBoy  --两个渡渡鸟的地形  DesertIsland --这个不知道  PirateBounty骷髅岛
--ShellingOut 未知  --JungleMarsh未知 --SharkHome虎鲨爸爸的家  --IslandOasis 这个是一个单独的小岛